Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.pmease.quickbuild.step
Class CheckoutStep

    java.lang.Object
      com.pmease.quickbuild.step.Step
          com.pmease.quickbuild.step.CheckoutStep

All Implemented Interfaces:
  java.io.Serializable

public class CheckoutStep
extends Step

This class defines the step used to check out code.

Author:
  robin shine
See Also:
  Serialized Form

Field Summary

Fields inherited from class com.pmease.quickbuild.step.Step
`DEFAULT_NAME`

Constructor Summary
`CheckoutStep()`

Method Summary
`java.lang.String` | `getRepositoryName()` OGNL: Select name of the repository to check out code from.
`org.apache.tapestry.form.IPropertySelectionModel` | `getRepositoryNameSelectionModel()`
`void` | `run(Build build)` Run this step in specified build context.
`void` | `setRepositoryName(java.lang.String repositoryName)`

Methods inherited from class com.pmease.quickbuild.step.Step
`equals, getEditor, getName, getNameChoices, getParent, getStatus, getStepNecessaryCondition, getStepNecessaryConditionChoices, hashCode, isFailed, isIdle, isRunning, isSuccessful, setEditor, setName, setStatus, setStepNecessaryCondition, trigger, validate`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CheckoutStep

    public CheckoutStep()

Method Detail

### getRepositoryName

    public java.lang.String getRepositoryName()

  OGNL: Select name of the repository to check out code from.

  Returns:

### getRepositoryNameSelectionModel

    public org.apache.tapestry.form.IPropertySelectionModel getRepositoryNameSelectionModel()

### setRepositoryName

    public void setRepositoryName(java.lang.String repositoryName)

### run

    public void run(Build build)

  Description copied from class: `Step`
  Run this step in specified build context.

  Specified by:
    `run` in class `Step`
  Parameters:
    `build` -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 PMEase Inc. All Rights Reserved.